Subject: Re: bug#19368: 25.0.50; NSM prompt is not self-explanatory enough

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Feb 2016 18:24:30 +1100

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Magne Ingebrigtsen <[email-masked]>
>> Date: Sun, 14 Dec 2014 09:12:21 +0100
>> 
>> Yeah.  But shouldn't we have a general multiple-choice library function
>> for these (sort of) extended y-or-n-p functions?
>> 
>> While writing the NSM function, I was looking around for one, but the
>> only thing I found was `gnus-multiple-choice'.  :-)  So I had
>> implemented this before.  A call using that function here would be
>> 
>> (gnus-multiple-choice "Continue connecting?" '((?a "always")
>>                                                (?s "session only")
>>                                                (?n "no")))
>> 
>> Or something.  If the user types something else, you get a help buffer
>> and stuff.
>> 
>> Shall I make that into a general function (it needs some tweaking in the
>> prompting department)?
>
> Sounds useful, thanks.  Bonus points for optionally popping a dialog
> (via x-popup-dialog) when the command was invoked by a mouse.

Ok, I'll start implementing this, and we can tweak the look a bit.  This
will be on the trunk, and not in emacs-25.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no